apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: litellm-master-key
  namespace: ai-core
spec:
  refreshInterval: 1h
  secretStoreRef:
    kind: ClusterSecretStore
    name: infisical-litellm
  target:
    name: litellm-master
    creationPolicy: Owner
  data:
    - secretKey: LITELLM_MASTER_KEY
      remoteRef:
        key: LITELLM_MASTER_KEY
    - secretKey: LITELLM_SALT_KEY
      remoteRef:
        key: LITELLM_SALT_KEY
    - secretKey: DATABASE_URL
      remoteRef:
        key: DATABASE_URL

